
#ifndef _AGP_I440BX_H
#define _AGP_I440BX_H

/* This file only exists for the mainline routine, so it knows about
 * externally visible functions in agp_i440bx.c
 * It is NOT read by agp_i440bx.c itself
 * @(#) agp_i440bx.h 1.2@(#)
 */

extern int ioctl_i440bx_acquire(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_info(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_protect(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_release(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_reserve(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_setup(struct agpgart_softstate *,void*arg, int flags);

extern int ioctl_i440bx_alloc(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_dealloc(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_bind(struct agpgart_softstate *,void*arg, int flags);
extern int ioctl_i440bx_unbind(struct agpgart_softstate *,void*arg, int flags);

#endif /* _AGP_I440BX_H */
